# BookletListState class Null safety

Implementers
  - BookletListLoaded
  - BookletListLoading
  - BookletNotLoaded

## Constructors

BookletListState()
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
props → List<Object?>
  The list of properties that will be used to determine whether two instances are equal.
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
stringify → bool?
  If set to `true`, the toString method will be overridden to output this instance's props. [...]
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
toString() → String
  A string representation of this object. [...]
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited